references {git2r} | R Documentation

## Get all references that can be found in a repository.

### Description

Get all references that can be found in a repository.

### Usage

    references(repo)

    ## S4 method for signature 'missing'
    references()

    ## S4 method for signature 'git_repository'
    references(repo)

### Arguments

`repo` | The repository `object` `git_repository`. If the `repo` argument is missing, the repository is searched for with `discover_repository` in the current working directory.

### Value

Character vector with references

### Examples

    ## Not run:
    ## Initialize two temporary repositories
    path_bare <- tempfile(pattern="git2r-")
    path_repo <- tempfile(pattern="git2r-")
    dir.create(path_bare)
    dir.create(path_repo)
    repo_bare <- init(path_bare, bare = TRUE)
    repo <- clone(path_bare, path_repo)

    ## Config user and commit a file
    config(repo, user.name="Alice", user.email="alice@example.org")

    ## Write to a file and commit
    writeLines("Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do",
               file.path(path_repo, "example.txt"))
    add(repo, "example.txt")
    commit(repo, "First commit message")

    ## Push commits from repository to bare repository
    ## Adds an upstream tracking branch to branch 'master'
    push(repo, "origin", "refs/heads/master")

    ## Add tag to HEAD
    tag(repo, "v1.0", "First version")

    ## Create a note
    note_create(commits(repo)[[1]], "My note")

    ## List all references in repository
    references(repo)

    ## End(Not run)

[Package git2r version 0.20.0 Index]